<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	version="1.0">
	
<xsl:template match="contrato">

	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">	
		
		<fo:layout-master-set>
    		<fo:simple-page-master master-name="all" 
    											page-height="297mm" page-width="210mm" 
    											margin-top="10mm" margin-bottom="10mm" 
    											margin-left="15mm" margin-right="15mm">
				
				<fo:region-body margin-top="40mm" margin-bottom="10mm"/>
				<fo:region-before extent="40mm"/>
				<fo:region-after extent="10mm"/>
			
			</fo:simple-page-master>
		</fo:layout-master-set>
		
		<fo:page-sequence master-reference="all">
		
			<fo:static-content flow-name="xsl-region-before">
 				
 				<fo:block font-family="sans-serif" font-weight="normal" font-size="10pt" margin-left="2mm">
 					<!--<xsl:apply-templates select="cabecera_instalador/cabecera_instalador_rec"/>-->
 				</fo:block>
			</fo:static-content>
			
			<fo:static-content flow-name="xsl-region-after">
				<!--
				LINEA DE SEPARACION
				-->
				<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
					<fo:table-column column-width="180mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="1pt" 
				   				border-style="solid" border-width="1pt" border-color="black">
								<fo:block text-align="center">		
								</fo:block>	
				   		</fo:table-cell>   				
				    	</fo:table-row>
				 	</fo:table-body>
				 </fo:table>
				
				<fo:block space-after.optimum="5pt"></fo:block>
				
				<fo:block text-align="end" font-size="8pt" font-family="sans-serif" line-height="1em + 2pt">
					Nº Contrato: <xsl:apply-templates select="cliente_y_contrato/cliente_y_contrato_rec/NUMEROCONTRATO"/>
					___
					Página: <fo:page-number/> / <fo:page-number-citation ref-id = "lastBlock"/>
      		</fo:block>
	    	</fo:static-content> 
	    		
  			<fo:flow flow-name="xsl-region-body">				
				<fo:block font-family="sans-serif" font-weight="normal" font-size="10pt" 
					margin-left="1mm"  margin-right="1mm">
					
					<!--
					LINEA DE SEPARACION
					-->
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
				 		<fo:table-column column-width="180mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="1pt" 
				   					border-style="solid" border-width="1pt" border-color="black">
									<fo:block text-align="center">		
									</fo:block>	
				   			</fo:table-cell>   				
				    		</fo:table-row>
				 		</fo:table-body>
				 	</fo:table>
				 	
					<fo:block space-after.optimum="10pt"></fo:block>
  					<xsl:apply-templates select="cliente_y_contrato/cliente_y_contrato_rec"/> 				
  					
  					<fo:block space-after.optimum="5pt"></fo:block>
  					<!--
					LINEA DE SEPARACION
					-->
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
				 		<fo:table-column column-width="180mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="1pt" 
				   					border-style="solid" border-width="1pt" border-color="black">
									<fo:block text-align="center">		
									</fo:block>	
				   			</fo:table-cell>   				
				    		</fo:table-row>
				 		</fo:table-body>
				 	</fo:table>
				 	
					<fo:block space-after.optimum="10pt"></fo:block>
  					<xsl:apply-templates select="reunidos_cliente/reunidos_cliente_rec"/>
					
					<fo:block space-after.optimum="10pt"></fo:block>	
					<xsl:apply-templates select="reunidos_instalador/reunidos_instalador_rec"/>
	  				
	  				<fo:block space-after.optimum="10pt"></fo:block>
	  				<xsl:apply-templates select="exponen/exponen_rec"/>
	  				
	  				<fo:block space-after.optimum="10pt"></fo:block>
	  				<xsl:apply-templates select="estipulaciones/estipulaciones_rec"/>
	  				
	  				<!-- identificador ultima pagina -->
					<fo:block id = "lastBlock">
   				</fo:block>
	  					  			
	  			</fo:block>
			</fo:flow>
		</fo:page-sequence>
	</fo:root>
</xsl:template>

<xsl:key name="selTecnologia" match="/contrato/exponen_tabla_id/exponen_tabla_id_rec" use="UIDTIPOTECNOLOGIA"/>

<!-- Informacion Datos Empresa -->
<xsl:template match="cabecera_instalador_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="1pt">
 		<fo:table-column column-width="60mm"/>
 		<fo:table-column column-width="110mm"/>
 		 			
 		<fo:table-body>
  			<fo:table-row>  			 			
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black"
   				margin-top="5mm" margin-bottom="5mm">
					<fo:block text-align="center">
						<xsl:variable name="logo" select="LOGO"/>  							    						
						<fo:external-graphic src="{$logo}"/>					
					</fo:block>	
   			</fo:table-cell>
   				
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					
					<xsl:variable name="varT" select="NOMBRERAZON"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start" font-size="14pt">  					
							<xsl:apply-templates select="NOMBRERAZON"/>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="varT" select="NIFCIF"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>C.I.F/N.I.F.: </fo:inline>
							<xsl:apply-templates select="NIFCIF"/>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="varT" select="CALLE"/>	
					<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<xsl:apply-templates select="CALLE"/>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="varT" select="CODIGOPOSTAL"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<xsl:apply-templates select="CODIGOPOSTAL"/>
							<fo:inline>,  </fo:inline>
						
							<xsl:apply-templates select="POBLACION"/>
						
							<xsl:variable name="var1" select="POBLACION"/>
							<xsl:variable name="var2" select="PROVINCIA"/>
 							<xsl:if test="$var1 != $var2">
 								<fo:inline>  (</fo:inline>
								<xsl:apply-templates select="PROVINCIA"/>
								<fo:inline>)</fo:inline>
		   				</xsl:if>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="varT" select="TELEFONO1"/>	
					<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>Teléfono: </fo:inline>
							<xsl:apply-templates select="TELEFONO1"/>
							<fo:inline> Fax: </fo:inline>
							<xsl:apply-templates select="FAX"/>
						</fo:block>
					</xsl:if>
										
					<xsl:variable name="varT" select="EMAIL1"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<xsl:apply-templates select="EMAIL1"/>
							<fo:inline> - </fo:inline>
							<xsl:apply-templates select="PAGINAWEB"/>
						</fo:block>
					</xsl:if>
					
   				<xsl:variable name="varT" select="REGISTRO"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>Nº Registro Empresa Instaladora de Telecomunicación: </fo:inline>
							<xsl:apply-templates select="REGISTRO"/>
						</fo:block>
					</xsl:if>
   				
   			</fo:table-cell>
   			
   		</fo:table-row>
 		</fo:table-body>
 	</fo:table>
</xsl:template>

<!--	BODY -->
<xsl:template match="cliente_y_contrato_rec">
	<!-- TABLA CLIENTE Y CONTRATO -->
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 		<fo:table-column column-width="78mm"/>
 		<fo:table-column column-width="2mm"/>
 		<fo:table-column column-width="100mm"/>

 
 		<fo:table-body font-weight="normal"> 
 		
  			<!-- CABECERA -->	
			<fo:table-row>  			 			   			
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
					<fo:block text-align="start">
						<fo:inline font-weight="bold">CONTRATO DE MANTENIMIENTO</fo:inline> 
					</fo:block>					
				</fo:table-cell>  				
				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
					<fo:block text-align="start">
						<fo:inline font-weight="bold">CLIENTE</fo:inline> 
					</fo:block>					
				</fo:table-cell>
			</fo:table-row>
			  			 			   		
			<!-- DATOS -->		   				
			<fo:table-row>
			
				<!-- DATOS CONTRATO -->   			
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="39mm"/>
 						<fo:table-column column-width="40mm"/>
 						
 						<fo:table-body>
 						
 							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Nº Contrato:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="NUMEROCONTRATO"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Fecha Entrada Vigor:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<fo:block text-align="start">
										<xsl:variable name="fecha" select="FECHAENTRADAVIGOR"/>  							    						
										<xsl:if test="$fecha > 0"> 
											<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
										</xsl:if>
									</fo:block>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Fecha Validez:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<fo:block text-align="start">
										<xsl:variable name="fecha" select="FECHAVALIDEZ"/>  							    						
										<xsl:if test="$fecha > 0"> 
											<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
										</xsl:if>
									</fo:block>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Nº Pagos:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="NUMEROPAGOS"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Nº Visitas:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="NUMEROVISITASCONCERTADAS"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
						</fo:table-body>
					</fo:table>
											
   			</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
				</fo:table-cell>
				
				<!-- DATOS CLIENTE -->					
				<fo:table-cell border-style="solid" border-left-width="1pt" 
									border-right-width="1pt" border-top-width="1pt" border-bottom-width="1pt" 
									border-color="black">
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="29mm"/>
 						<fo:table-column column-width="70mm"/>
 						
 						<fo:table-body>
 						
 							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   											
											<fo:inline>Nombre </fo:inline> 
										</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start" font-size="12pt">						   												
										<xsl:apply-templates select="NOMBRE"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">	
											<fo:inline>C.I.F./N.I.F. </fo:inline> 
										</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">						   												
										<xsl:apply-templates select="NIFCIF"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
															
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   											
											<fo:inline>Dirección </fo:inline> 
										</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">						   												
										<xsl:apply-templates select="CALLE"/>						
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
															
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline>Población </fo:inline> 
										</fo:block>				
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">						   																	
										<xsl:apply-templates select="POBLACION"/>
										<xsl:variable name="var1" select="POBLACION"/>
										<xsl:variable name="var2" select="PROVINCIA"/>
 										<xsl:if test = "$var1 != $var2">
 											<fo:inline>  (</fo:inline>
											<xsl:apply-templates select="PROVINCIA"/>
											<fo:inline>)</fo:inline>
		   							</xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
				
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline font-style="normal">Código Postal </fo:inline> 
										</fo:block>			
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">						   												
										<xsl:apply-templates select="CODIGOPOSTAL"/>						
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="29mm"/>
 						<fo:table-column column-width="21mm"/>
 						<fo:table-column column-width="29mm"/>
 						<fo:table-column column-width="21mm"/>
 						
 						<fo:table-body>
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline font-style="normal">Tlf. </fo:inline>
										</fo:block>			
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<xsl:apply-templates select="TELEFONO"/> 
										</fo:block>			
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<fo:inline font-style="normal">Tlf. Contacto </fo:inline>						   												
									</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="TELEFONO1"/>						
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
								
						</fo:table-body>
					</fo:table>
					
				</fo:table-cell>
				
   			
    		</fo:table-row>
    	</fo:table-body>
   </fo:table>
</xsl:template>

<xsl:template match="reunidos_cliente_rec">
	
	<fo:block text-align="center" font-weight="bold">
		REUNIDOS 				
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">
		<fo:inline font-weight="normal">En </fo:inline> 				
		<fo:inline font-weight="normal"> ______________________________ a </fo:inline> 				
		<xsl:variable name="fecha" select="FECHAENTRADAVIGOR"/>  							    						
		<fo:inline font-weight="normal"> ______________________________</fo:inline>
		
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">
		<fo:inline font-weight="normal">D. / Dña. </fo:inline>
		
		<xsl:variable name="nombrecontacto" select="NOMBRECONTACTO"/>
		<xsl:if test="string-length($nombrecontacto) > 0">
			<xsl:apply-templates select="NOMBRECONTACTO"/>
		</xsl:if>
		<xsl:if test="string-length($nombrecontacto) = 0"> 
			<fo:inline font-weight="normal"> ________________________________________ </fo:inline> 					
		</xsl:if>
				
		<fo:inline font-weight="normal">, que interviene en nombre y representación del cliente </fo:inline>
		<xsl:apply-templates select="NOMBRECLIENTE"/>
		<fo:inline font-weight="normal"> con N.I.F./C.I.F.: </fo:inline>
		<xsl:apply-templates select="NIFCIF"/>
		<fo:inline font-weight="normal"> y domicilio en </fo:inline>
		<xsl:variable name="calle" select="CALLE"/>
		<xsl:if test="string-length($calle) > 0">
			<xsl:apply-templates select="CALLE"/>
		</xsl:if>
		<xsl:if test="string-length($calle) = 0"> 
			<fo:inline font-weight="normal">  </fo:inline> 					
		</xsl:if>
		<fo:inline font-weight="normal"> de </fo:inline>
		
		<xsl:variable name="var1" select="POBLACION"/>
		<xsl:apply-templates select="POBLACION"/>
		
		<xsl:variable name="var2" select="PROVINCIA"/>
 		<xsl:if test="$var1 != $var2">
 			<fo:inline>  (</fo:inline>
			<xsl:apply-templates select="PROVINCIA"/>
			<fo:inline>)</fo:inline>
		</xsl:if>
		<fo:inline font-weight="normal">.</fo:inline>
		
	</fo:block>
</xsl:template>

<xsl:template match="reunidos_instalador_rec">
	
	<fo:block text-align="center" font-weight="bold">
		Y 				
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">
		<fo:inline font-weight="normal">D. / Dña. </fo:inline>
		
		<xsl:variable name="nombrecontacto" select="NOMBRECONTACTO"/>
		<xsl:if test="string-length($nombrecontacto) > 0">
			<xsl:apply-templates select="NOMBRECONTACTO"/>
		</xsl:if>
		<xsl:if test="string-length($nombrecontacto) = 0"> 
			<fo:inline font-weight="normal"> ________________________________________ </fo:inline> 					
		</xsl:if>
				
		<fo:inline font-weight="normal">, que interviene en nombre y representación de la empresa instaladora </fo:inline>
		<xsl:apply-templates select="NOMBREINSTALADOR"/>
		<fo:inline font-weight="normal"> con N.I.F./C.I.F.: </fo:inline>
		<xsl:apply-templates select="NIFCIF"/>
		<fo:inline font-weight="normal"> y domicilio en </fo:inline>
		<xsl:variable name="calle" select="CALLE"/>
		<xsl:if test="string-length($calle) > 0">
			<xsl:apply-templates select="CALLE"/>
		</xsl:if>
		<xsl:if test="string-length($calle) = 0"> 
			<fo:inline font-weight="normal">  </fo:inline> 					
		</xsl:if>
		<fo:inline font-weight="normal"> de </fo:inline>
		
		<xsl:variable name="var1" select="POBLACION"/>
		<xsl:apply-templates select="POBLACION"/>
		
		<xsl:variable name="var2" select="PROVINCIA"/>
 		<xsl:if test="$var1 != $var2">
 			<fo:inline>  (</fo:inline>
			<xsl:apply-templates select="PROVINCIA"/>
			<fo:inline>)</fo:inline>
		</xsl:if>
		<fo:inline font-weight="normal">.</fo:inline>
	
		<fo:block space-after.optimum="10pt"></fo:block>
		<fo:block text-align="justify">
			<fo:inline font-weight="normal">Ambos en la representación que ostentan, se reconocen mutuamente capacidad para celebrar este contrato.</fo:inline> 					
		</fo:block>
	</fo:block>
</xsl:template>

<xsl:template match="exponen_rec">

	<fo:block text-align="center" font-weight="bold">
		EXPONEN 				
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">
	
		<fo:inline font-weight="normal">I. Que el cliente </fo:inline>					
		<xsl:apply-templates select="NOMBRECLIENTE"/>		
		<fo:inline font-weight="normal">, propietario de los sistemas de telecomunicación situados en </fo:inline>						
		
		<xsl:variable name="dirinstalacion" select="CALLE"/>
		<xsl:if test="string-length($dirinstalacion) > 0">
			<xsl:apply-templates select="CALLE"/>
		</xsl:if>
		<xsl:if test="string-length($dirinstalacion) = 0"> 
			<fo:inline font-weight="normal"> ________________________________________ </fo:inline> 					
		</xsl:if>
		<fo:inline font-weight="normal"> de </fo:inline>
		
		<xsl:variable name="var1" select="POBLACION"/>
		<xsl:if test="string-length($var1) > 0">
			<xsl:apply-templates select="POBLACION"/>
		</xsl:if>
		<xsl:if test="string-length($var1) = 0"> 
			<fo:inline font-weight="normal"> ________________________________________ </fo:inline> 					
		</xsl:if>
			
		<xsl:variable name="var2" select="PROVINCIA"/>
 		<xsl:if test="$var1 != $var2">
 			<fo:inline>  (</fo:inline>
			<xsl:apply-templates select="PROVINCIA"/>
			<fo:inline>)</fo:inline>
		</xsl:if>
		<fo:inline font-weight="normal">, está interesado en obtener el soporte técnico necesario para facilitar al máximo la continuidad y el buen funcionamiento de los mencionados sistemas.</fo:inline>						
	
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">						   					
		<fo:inline font-weight="normal">II. Que a los efectos citados en el expositivo anterior, </fo:inline>					
		<xsl:apply-templates select="NOMBRECLIENTE"/>		
		<fo:inline font-weight="normal"> precisa contratar la prestación de este mantenimiento.</fo:inline>						
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">						   					
		<fo:inline font-weight="normal">III. Que </fo:inline>					
		<xsl:apply-templates select="NOMBRERAZON"/>		
		<fo:inline font-weight="normal"> cuenta con los medios técnicos y humanos necesarios para la realización del servicio expuesto y se halla en disposición de prestarlo.</fo:inline>						
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">						   					
		<fo:inline font-weight="normal">De acuerdo con lo expuesto, ambas partes pactan el presente convenio con arreglo a las siguientes:</fo:inline>					
	</fo:block>
</xsl:template>

<xsl:template match="estipulaciones_rec">
	<fo:block text-align="center" font-weight="bold">
		ESTIPULACIONES				
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">						   					
		<fo:inline font-weight="bold">Primera.- </fo:inline>					
		<xsl:apply-templates select="NOMBRERAZON"/>		
		<fo:inline font-weight="normal"> se compromete al mantenimiento anteriormente detallado a </fo:inline>						
		<xsl:apply-templates select="NOMBRE"/>
		<fo:inline font-weight="normal"> que actúa como contratante, que acepta, sin reserva alguna, todas y cada una de las estipulaciones que se contienen en el contrato.</fo:inline>						
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">						   					
		<fo:inline  font-weight="bold">Segunda.- </fo:inline>
		<fo:inline font-weight="normal">El precio del servicio de mantenimiento que se contrata asciende, aparte de impuestos, a la cantidad de </fo:inline>						
		<xsl:apply-templates select="IMPORTEANUAL"/>
		<fo:inline font-weight="normal"> €, el cuál se abonará a </fo:inline>						
		<xsl:apply-templates select="NOMBRERAZON"/>
		<fo:inline font-weight="normal"> atendiendo a la siguiente forma de pago:</fo:inline>		
		
		<fo:block space-after.optimum="10pt"></fo:block>
		<fo:block text-align="justify">						   					
			<fo:inline>Pagos anticipados mediante Recibo Domiciliado en:</fo:inline>						
		</fo:block>
		<fo:block text-align="justify">						   					
			<fo:inline>Caja/Banco: </fo:inline>								
			<xsl:apply-templates select="NOMBREBANCO"/>
		</fo:block>
		<fo:block text-align="justify">						   					
			<fo:inline>Nº de Cuenta: </fo:inline>								
			<xsl:apply-templates select="CUENTACORRIENTE"/>
		</fo:block>
		
		<fo:block space-after.optimum="10pt"></fo:block>
		<fo:block text-align="justify">						   					
			<fo:inline font-weight="normal">Siendo el primer pago efectivo a la fecha de la firma de este contrato, figurando ésta como referencia para sucesivos abonos.</fo:inline>						
		</fo:block>	
	</fo:block>
		
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">						   					
		<fo:inline font-weight="bold">Tercera.- </fo:inline>					
		<fo:inline font-weight="normal">La cantidad a que se refiere la estipulación anterior será revisable anualmente incrementándose en un tanto por ciento igual al IPC que fije el instituto Nacional de Estadística u organismo análogo que lo sustituyese. </fo:inline>					
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">						   					
		<fo:inline font-weight="bold">Cuarta.- </fo:inline>					
		<xsl:apply-templates select="NOMBRERAZON"/>
		<fo:inline font-weight="normal"> queda comprometida a la realización de </fo:inline>					
		<xsl:apply-templates select="NUMEROVISITASCONCERTADAS"/>
		<fo:inline font-weight="normal"> revisiones anuales gratuitas, cuya fijación en el periodo anual se realizará de mutuo acuerdo, siempre y cuando no merme el desarrollo normal de la actividad mercantil que suscribe. </fo:inline>					
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">						   					
		<fo:inline font-weight="bold">Quinta.- </fo:inline>					
		<fo:inline font-weight="normal"> El servicio de mantenimiento objeto del presente quedará anulado, a potestad de </fo:inline>					
		<xsl:apply-templates select="NOMBRERAZON"/>
		<fo:inline font-weight="normal">, si concurrieren alguna de las siguientes circunstancias: </fo:inline>					
	
		<fo:block space-after.optimum="10pt"></fo:block>
		<fo:block text-align="justify" start-indent="15pt">						   					
		<fo:inline font-weight="normal">- Si sobre las instalaciones cuyo mantenimiento se contrata detectara </fo:inline>							
		<xsl:apply-templates select="NOMBRERAZON"/>
		<fo:inline font-weight="normal"> algún defecto anterior a la firma del presente documento y éste no quedara subsanado por la Comunidad de Propietarios contratante. </fo:inline>					
		</fo:block>
		
		<fo:block space-after.optimum="10pt"></fo:block>
		<fo:block text-align="justify" start-indent="15pt">						   					
			<fo:inline font-weight="normal">- Si se comprobara que la parte contratante ejecutó o dejó ejecutar, por negligencia o cualquier otra causa análoga imputable a la mísma, cualquier manipulación en las instalaciones. </fo:inline>							
		</fo:block>
	
		<fo:block space-after.optimum="10pt"></fo:block>
		<fo:block text-align="justify" start-indent="15pt">						   					
			<fo:inline font-weight="normal">- Si alguna avería fuese motivada por fuerza mayor, uso indebido, robo, fenómenos naturales, actos vandálicos, nuevas emisoras, cambio de emisora o codificación de la mísma. </fo:inline>							
		</fo:block>
		
		<fo:block space-after.optimum="10pt"></fo:block>
		<fo:block text-align="justify" start-indent="15pt">						   					
			<fo:inline font-weight="normal">- Si la Comunidad de Propietarios no estuviese al corriente de los pagos a que le obliga el presente contrato. Es necesario señalar que el pago del último recibo no presupone el pago de los anteriores. </fo:inline>							
		</fo:block>
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">						   					
		<fo:inline font-weight="bold">Sexta.- </fo:inline>					
		<fo:inline font-weight="normal">El presente contrato de mantenimiento tiene una cobertura respecto a: </fo:inline>					
		<fo:block space-after.optimum="10pt"></fo:block>
		<fo:block text-align="justify" start-indent="15pt">						   					
			<fo:inline font-weight="normal">Piezas : </fo:inline>					
			<xsl:variable name="piezas" select="EQUIPOSSUSTITUCION"/>  							    						
			<xsl:if test="$piezas = 0"> 
				<fo:inline >No</fo:inline>					
			</xsl:if>
			<xsl:if test="$piezas = 1"> 
				<fo:inline >Si</fo:inline>					
			</xsl:if>
		</fo:block>
		<fo:block text-align="justify" start-indent="15pt">						   					
			<fo:inline font-weight="normal">Mano de obra : </fo:inline>					
			<xsl:variable name="manoobra" select="MANOOBRA"/>  							    						
			<xsl:if test="$manoobra = 0"> 
				<fo:inline>No</fo:inline>					
			</xsl:if>
			<xsl:if test="$manoobra = 1"> 
				<fo:inline>Si</fo:inline>					
			</xsl:if>
		</fo:block>
		
		<fo:block space-after.optimum="10pt"></fo:block>
		<fo:block text-align="justify">
			<fo:inline font-weight="normal">necesarios para la reparación de cualquier tipo de avería que no haya sido exceptuada por algunas de las estipulaciones contenidas en este contrato, siendo únicamente necasario que la Comunidad de Propietarios que contrata muestre, al personal de la empresa </fo:inline>						
			<xsl:apply-templates select="NOMBRERAZON"/>
			<fo:inline font-weight="normal"> que así se lo indique, el último recibo pagado. </fo:inline>						
		</fo:block>
			
		<fo:block space-after.optimum="10pt"></fo:block>
		<fo:block text-align="justify">
			<fo:inline font-weight="normal">Las condiciones particulares referentes a la cobertura del contrato de mantenimiento que por cualquier causa difieran de las expresadas en este documento, asó como su precio, se definirán en documento Anexo a este contrato.</fo:inline>						
		</fo:block>		
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">						   					
		<fo:inline font-weight="bold">Séptima.- </fo:inline>					
		<fo:inline font-weight="normal"> Este contrato tiene vigencia desde el </fo:inline>							
		<xsl:variable name="fecha" select="FECHAENTRADAVIGOR"/>  							    						
		<xsl:if test="$fecha > 0"> 
			<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
		</xsl:if>
		<fo:inline font-weight="normal"> hasta el </fo:inline>					
		<xsl:variable name="fecha" select="FECHAVALIDEZ"/>  							    						
		<xsl:if test="$fecha > 0"> 
			<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
		</xsl:if>
		<fo:inline font-weight="normal"> prorrogándose automáticamente por otro período igual si no media preaviso de finalización de algunas de las partes. Este preaviso carecerá de efectos si no se realiza con al menos </fo:inline>
		<fo:inline font-weight="normal"> 30 días de antelación a la fecha prevista para la finalización del contrato.</fo:inline>					
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
	<fo:block text-align="justify">						   					
		<fo:inline font-weight="bold">Octava.- </fo:inline>					
		<fo:inline font-weight="normal"> Las partes se someten expresamente a la jurisdicción y competencia de los juzgados y tribunales locales,</fo:inline>					
		<fo:inline font-weight="normal"> con renuncia expresa de cualquier otro fuero especial que pudiera corresponderles.</fo:inline>					
	</fo:block>
	
	<fo:block space-after.optimum="10pt"></fo:block>
		
	<!--	Conformidades y demas	-->
	<fo:block space-after.optimum="10pt"></fo:block>

	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
	 	<fo:table-column column-width="180mm"/>
		 		
		<fo:table-body font-weight="normal"> 
		 	
		 	<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="1pt" border-bottom-width="0pt">
					<fo:block text-align="justify">						   					
						<fo:inline font-weight="normal">Y en prueba de conformidad de todo cuanto antecede las partes firman el presente documento en el lugar y fecha indicados al principio. </fo:inline>					
					</fo:block>
				</fo:table-cell>	
			</fo:table-row>
		 	
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block space-after.optimum="40pt"></fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt" border-bottom-width="0pt">					
					<fo:block>						   											
						<fo:inline  text-align="start">Por el CLIENTE ____________________</fo:inline>
						<fo:inline  text-align="start">   Por la EMPRESA INSTALADORA ____________________</fo:inline>
					</fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
			<fo:table-row keep-with-next="always">
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black" 
					border-top-width="0pt">					
					<fo:block space-after.optimum="2pt"></fo:block>
				</fo:table-cell>	
			</fo:table-row>
			
		</fo:table-body>
	</fo:table>
	
</xsl:template>
 
</xsl:stylesheet>


